Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming
Class LinkLoopException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.naming.NamingException
                  javax.naming.LinkException
                      javax.naming.LinkLoopException

All Implemented Interfaces:
  Serializable

    public class LinkLoopException

extends LinkException

This exception is thrown when a loop was detected will attempting to resolve a link, or an implementation specific limit on link counts has been reached.

Synchronization and serialization issues that apply to LinkException apply directly here.

Since:
  1.3
See Also:
  `LinkRef`, Serialized Form

Field Summary

Fields inherited from class javax.naming.LinkException
`linkExplanation, linkRemainingName, linkResolvedName, linkResolvedObj`

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`LinkLoopException()` Constructs a new instance of LinkLoopException.
`LinkLoopException(String explanation)` Constructs a new instance of LinkLoopException with an explanation All the other fields are initialized to null.

Method Summary

Methods inherited from class javax.naming.LinkException
`getLinkExplanation, getLinkRemainingName, getLinkResolvedName, getLinkResolvedObj, setLinkExplanation, setLinkRemainingName, setLinkResolvedName, setLinkResolvedObj, toString, toString`

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkLoopException

    public LinkLoopException(String explanation)

  Constructs a new instance of LinkLoopException with an explanation All the other fields are initialized to null.

  Parameters:
    `explanation` - A possibly null string containing additional detail about this exception.
  See Also:
    `Throwable.getMessage()`

### LinkLoopException

    public LinkLoopException()

  Constructs a new instance of LinkLoopException. All the non-link-related and link-related fields are initialized to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.